## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate libheif-sys
%global upstream_version 2.1.0+1.17.4

Name:           rust-libheif-sys
Version:        2.1.0
Release:        %autorelease
Summary:        Libheif bindings

License:        MIT
URL:            https://crates.io/crates/libheif-sys
Source:         %{crates_source %{crate} %{upstream_version}}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          libheif-sys-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * make build-dependency on bindgen unconditional
Patch:          libheif-sys-fix-metadata.diff
Patch:          0001-unconditionally-regenerate-bindings-with-bindgen.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  pkgconfig(libheif) >= 1.16

%global _description %{expand:
Libheif bindings.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libheif) >= 1.16

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/
# Don't include the test data in the package as it is not useful for other
# programs consuming the crate. This also avoids us having to include
# CC-BY-SA-4.0 that the test data is licensed under in the license tag.
%exclude %{crate_instdir}/data/
%exclude %{crate_instdir}/tests/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{upstream_version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Apr 02 2024 Fabio Valentini <decathorpe@gmail.com> - 2.1.0-1
- Update to version 2.1.0+1.17.4; Fixes RHBZ#2238087

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.16.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Sep 10 2023 Kalev Lember <klember@redhat.com> - 1.16.2-1
- Update to 1.16.2

* Thu Aug 24 2023 Fabio Valentini <decathorpe@gmail.com> - 1.16.1-2
- Unconditionally regenerate bindings with bindgen

* Wed Aug 23 2023 Kalev Lember <klember@redhat.com> - 1.16.1-1
- Initial Fedora packaging (rhbz#2233796)
## END: Generated by rpmautospec
